{% extends 'index.html' %}

{% load static %}

{% block content %}

 <main id="main">
<style>
    .portfolio-wrap {
        width: initial;
        height: 360px;
        overflow: hidden;
        margin: auto;
   }
   .portfolio-wrap img {
      width: initial;
      height: 360px;
      overflow: hidden;
   }

   .row portfolio-container {
        display: flex;
   }
 </style>
    <!-- ======= Details Section ======= -->
    <section id="portfolio" class="portfolio section-bg">
      <div class="container">

        <div class="section-title">
          <h2>Categories</h2>
          <p>All paintings here are sorted by different values.</p>
        </div>

        <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="100">
            {% for category in category_list %}
               <div class="col-lg-4 col-md-6 portfolio-item">
                   <a href="{% url 'category_detail_url' category.slug %}">
                    <div class="card border-dark mb-3">
                         <div class="portfolio-wrap">
                            <img src="{{ category.image.url }}" alt="" class="img-thumbnail">
                            <div class="portfolio-links">
                                <i class=""><font size="4" color="white" face="Open Sans">{{ category.title }}</font></i></a>
                            </div>
                        </div>
                    </div>
                    </a>
                </div>
            {% endfor %}
        </div>
         <br/>
         <a href="{% url 'index_url' %}" class="btn btn-dark"style="float: left;">Back</a></p>
    </section><!-- End Portfolio Details Section -->
   <!-- Vendor JS Files -->
  <script src="{% static 'assets/vendor/glightbox/js/glightbox.min.js' %}"></script>
  <script src="{% static 'assets/vendor/swiper/swiper-bundle.min.js' %}"></script>
  </main><!-- End #main -->
  <!-- Template Main JS File -->
  <script src="{% static 'assets/js/main.js' %}"></script>
{% endblock content%}